| OpendTect 8.0

Loading...
Searching...
No Matches
Public Types | Public Member Functions | Protected Member Functions | Protected Attributes | List of all members
RangeLimitedDataDistributionExtracter< vT > Class Template Reference
Algo

Does some work to limit the range of distribution extraction. More...

`#include <datadistributionextracter.h>`

## Public Types
typedef ArrayND< vT > | ArrNDType
typedef RefMan< DistribType > | DistribRef
typedef DataDistribution< vT > | DistribType
typedef Interval< vT > | RangeType

## Public Member Functions
| RangeLimitedDataDistributionExtracter (const ArrNDType &arr, TaskRunner *taskr=nullptr)
| RangeLimitedDataDistributionExtracter (const TypeSet< vT > &ts, TaskRunner *taskr=nullptr)
| RangeLimitedDataDistributionExtracter (const ValueSeries< vT > &v, od_int64 sz, TaskRunner *taskr=nullptr)
| RangeLimitedDataDistributionExtracter (const vT *a, od_int64 sz, TaskRunner *taskr=nullptr)
virtual | ~RangeLimitedDataDistributionExtracter ()
DistribRef | getDistribution ()

## Protected Member Functions
bool | deSpike ()
void | init (TaskRunner *)

## Protected Attributes
DistribRef | distrib_
DataDistributionExtracter< vT > | extracter_

## Detailed Description

template<class vT>
class RangeLimitedDataDistributionExtracter< vT >

Does some work to limit the range of distribution extraction.

The strategy is:

- Create a distrib with a very fine bin size
- Find 0.25% clipping points which will be the new min and max. Due to the fine bin size we can 'zoom in' without loss of detail.

- Re-sample to the 'normal' bin size.

  <>

## Member Typedef Documentation

## ◆ ArrNDType

template<class vT >

typedef ArrayND<vT> RangeLimitedDataDistributionExtracter< vT >::ArrNDType

## ◆ DistribRef

template<class vT >

typedef RefMan<DistribType> RangeLimitedDataDistributionExtracter< vT >::DistribRef

## ◆ DistribType

template<class vT >

typedef DataDistribution<vT> RangeLimitedDataDistributionExtracter< vT >::DistribType

## ◆ RangeType

template<class vT >

typedef Interval<vT> RangeLimitedDataDistributionExtracter< vT >::RangeType

## Constructor & Destructor Documentation

## ◆ RangeLimitedDataDistributionExtracter() [1/4]

template<class vT >

RangeLimitedDataDistributionExtracter< vT >::RangeLimitedDataDistributionExtracter | ( | const ArrNDType & | arr,
|  | TaskRunner * | taskr = nullptr )
| inline

## ◆ RangeLimitedDataDistributionExtracter() [2/4]

template<class vT >

RangeLimitedDataDistributionExtracter< vT >::RangeLimitedDataDistributionExtracter | ( | const vT * | a,
|  | od_int64 | sz,
|  | TaskRunner * | taskr = nullptr )
| inline

## ◆ RangeLimitedDataDistributionExtracter() [3/4]

template<class vT >

RangeLimitedDataDistributionExtracter< vT >::RangeLimitedDataDistributionExtracter | ( | const ValueSeries< vT > & | v,
|  | od_int64 | sz,
|  | TaskRunner * | taskr = nullptr )
| inline

## ◆ RangeLimitedDataDistributionExtracter() [4/4]

template<class vT >

RangeLimitedDataDistributionExtracter< vT >::RangeLimitedDataDistributionExtracter | ( | const TypeSet< vT > & | ts,
|  | TaskRunner * | taskr = nullptr )
| inline

## ◆ ~RangeLimitedDataDistributionExtracter()

template<class vT >

virtual RangeLimitedDataDistributionExtracter< vT >::~RangeLimitedDataDistributionExtracter | ( |  | ) |
| inline virtual

## Member Function Documentation

## ◆ deSpike()

template<class vT >

bool RangeLimitedDataDistributionExtracter< vT >::deSpike | ( |  | ) |
| protected

## ◆ getDistribution()

template<class vT >

DistribRef RangeLimitedDataDistributionExtracter< vT >::getDistribution | ( |  | ) |
| inline

## ◆ init()

template<class vT >

void RangeLimitedDataDistributionExtracter< vT >::init | ( | TaskRunner * | taskr | ) |
| inline protected

## Member Data Documentation

## ◆ distrib_

template<class vT >

DistribRef RangeLimitedDataDistributionExtracter< vT >::distrib_
| protected

## ◆ extracter_

template<class vT >

DataDistributionExtracter<vT> RangeLimitedDataDistributionExtracter< vT >::extracter_
| protected

Generated at
for the OpendTect seismic interpretation project. Copyright (C): dGB Beheer B.V. 1995-2025